| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
EM::FaultStickSetGeometry::GeomGroup Class Reference

`#include <emfaultstickset.h>`

## Public Member Functions
| GeomGroup (const Pos::GeomID &)
| ~GeomGroup ()
const Pos::GeomID | geomID () const
bool | isPresent (int sticknr) const
const MultiID & | multiID () const
void | setMultiID (const MultiID &)
void | setTrcKeyZSampling (const TrcKeyZSampling &)
int | size () const
const TrcKeyZSampling & | trcKeyZSampling () const

## Public Attributes
TypeSet< int > | sticknrs_

## Protected Attributes
MultiID | mid_
TrcKeyZSampling | tkzs_

## Constructor & Destructor Documentation

## ◆ GeomGroup()

EM::FaultStickSetGeometry::GeomGroup::GeomGroup | ( | const Pos::GeomID & |  | ) |

## ◆ ~GeomGroup()

EM::FaultStickSetGeometry::GeomGroup::~GeomGroup | ( |  | ) |

## Member Function Documentation

## ◆ geomID()

const Pos::GeomID EM::FaultStickSetGeometry::GeomGroup::geomID | ( |  | ) | const

## ◆ isPresent()

bool EM::FaultStickSetGeometry::GeomGroup::isPresent | ( | int | sticknr | ) | const

## ◆ multiID()

const MultiID & EM::FaultStickSetGeometry::GeomGroup::multiID | ( |  | ) | const

## ◆ setMultiID()

void EM::FaultStickSetGeometry::GeomGroup::setMultiID | ( | const MultiID & |  | ) |

## ◆ setTrcKeyZSampling()

void EM::FaultStickSetGeometry::GeomGroup::setTrcKeyZSampling | ( | const TrcKeyZSampling & |  | ) |

## ◆ size()

int EM::FaultStickSetGeometry::GeomGroup::size | ( |  | ) | const

## ◆ trcKeyZSampling()

const TrcKeyZSampling & EM::FaultStickSetGeometry::GeomGroup::trcKeyZSampling | ( |  | ) | const

## Member Data Documentation

## ◆ mid_

MultiID EM::FaultStickSetGeometry::GeomGroup::mid_
| protected

## ◆ sticknrs_

TypeSet<int> EM::FaultStickSetGeometry::GeomGroup::sticknrs_

## ◆ tkzs_

TrcKeyZSampling EM::FaultStickSetGeometry::GeomGroup::tkzs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025